# Interface methods for submodule: HistogramThresholdCalculator
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ProcessObjectProxy as _ProcessObjectProxy


# Interface methods for class: HistogramThresholdCalculator
class HistogramThresholdCalculatorProxy(_ProcessObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetInput(self, input) -> None:
		""""""
		...

	def GetInput(self):
		""""""
		...

	def GetOutput(self):
		""""""
		...

	def MakeOutput(self, arg0: int):
		""""""
		...

	@overload
	def GetThreshold(self) -> float:
		""""""
		...

	@overload
	def GetThreshold(self) -> int:
		""""""
		...

